Skip to main content

Create a Lead (ILS)

This endpoint is used by Internet Listing Services (ILS) to POST leads to Funnel when a prospect inquires about a specific syndicated listing. Funnel will provide you with a webhook URL for both testing and production environments. The testing endpoint validates your payload without delivering leads to users. In production, if you receive a 500 status code or are unable to connect, please retry over the next 24 hours until you receive a 200 status code.

POST
https://leads-api.nestio.com/<webhook_id>

Request

Example requestPOSTapplication/json
curl -X POST \
    -H "Content-Type: application/json" \
    --user "YOUR_API_KEY:" \
    -d '{
      "name": "Steve Sanders",
      "email": "steve78@hotmail.com",
      "phone": "310-555-5657",
    
      "nestio_listing_id": "M123-455",
    
      "listing_type": "RENTAL",
      "listing_street_address": "4614 Melrose Pl.",
      "listing_unit_number": "4B",
      "listing_city": "Beverly Hills",
      "listing_state": "CA",
      "listing_postal_code": "90210",
    
      "desired_layouts": ["1BED", "STUDIO"],
      "desired_movein_date": "2025-03-01",
      "desired_neighborhoods": ["Beverly Hills", "West Hollywood"],
      "min_price": "2300.00",
      "max_price": "2700.00",
      "message": "Hello, Can I schedule a viewing for this place on Sunday?",
    
      "listing_contact_emails": ["jim.agent@bhre.com", "joe.broker@bhre.com"],
      "listing_url": "http://fictional-ils.com/listing/34098"
    }' \
    "https://leads-api.nestio.com/<webhook_id>"

Response

ResponseJSON200 · application/json
200 OK

The lead payload is valid and the lead has been accepted.